# Uses of Record Class
com.usatiuk.dhfs.remoteobj.ReceivedObject

Packages that use ReceivedObject
Package
Description
com.usatiuk.dhfs.rpc

## Uses of ReceivedObject in com.usatiuk.dhfs.rpc

Methods in com.usatiuk.dhfs.rpc that return ReceivedObject
Modifier and Type
Method
Description
`ReceivedObject`
TemporaryReceivedObjectSerializer.`deserialize(GetObjectReply message)`
Methods in com.usatiuk.dhfs.rpc that return types with arguments of type ReceivedObject
Modifier and Type
Method
Description
`org.apache.commons.lang3.tuple.Pair<PeerId,ReceivedObject>`
RemoteObjectServiceClient.`getSpecificObject(JObjectKey key, PeerId peerId)`
Methods in com.usatiuk.dhfs.rpc with parameters of type ReceivedObject
Modifier and Type
Method
Description
`GetObjectReply`
TemporaryReceivedObjectSerializer.`serialize(ReceivedObject object)`
Method parameters in com.usatiuk.dhfs.rpc with type arguments of type ReceivedObject
Modifier and Type
Method
Description
`void`
RemoteObjectServiceClient.`getObject(JObjectKey key, Function<org.apache.commons.lang3.tuple.Pair<PeerId,ReceivedObject>,Boolean> onReceive)`